apply plugin: 'com.android.application'

android {
    compileSdkVersion 31
    buildToolsVersion '29.0.3'
    defaultConfig {
        applicationId "com.bpa.scalage"
        minSdkVersion 22
        targetSdkVersion 31
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        //启用对新语言API的支持的标志
        coreLibraryDesugaringEnabled true
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    sourceSets {
        main{
            res.srcDirs=[
                    'src/main/res/layout/controlview',
                    'src/main/res/layout/page',
                    'src/main/res/layout/testcode',
                    'src/main/res/layout',
                    'src/main/res'
            ]
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.0.2'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'com.google.android.material:material:1.4.+'
    implementation 'com.squareup.okhttp3:okhttp:4.9.1'
    implementation files('libs\\PC_RFID.jar')
//    implementation files('libs\\gson-2.2.2.jar')
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.0'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
    implementation files('libs\\sdkapi.jar')
    compileOnly files('libs/sdkapi.jar')

    implementation 'com.lzy.net:okgo:3.0.4'

//    implementation 'com.google.code.gson:gson:2.8.0'

    // easyPermissions权限管理
    implementation 'pub.devrel:easypermissions:2.0.1'

    // QMUI框架
//    implementation 'com.qmuiteam:arch:2.0.0-alpha10'
//    implementation 'com.qmuiteam:qmui:2.0.0-alpha10'

    //下载进度条
//    implementation 'com.github.Ccapton:Android-ColorfulProgressBar:1.0.5'

    //图片加载
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'

    implementation 'com.github.xingshuangs:iot-communication:1.5.0'
    implementation "org.projectlombok:lombok:1.16.18"
    implementation 'org.glassfish:javax.annotation:10.0-b28'
    coreLibraryDesugaring 'com.android.tools:desugar_jdk_libs:1.1.5'
}
